from geometry.pnt2d import Pnt2D


class AppModel:

    def __init__(self):
        # Model is a simple triangle
        self.p0 = Pnt2D(100.0, 100.0)
        self.p1 = Pnt2D(200.0, 100.0)
        self.p2 = Pnt2D(150.0, 175.0)
        self.verts = [self.p0, self.p1, self.p2]
        self.edges = [[self.p0, self.p1],
                      [self.p1, self.p2],
                      [self.p2, self.p0]]
        self.faces = [[self.p0, self.p1, self.p2]]

    def isEmpty(self):
        return self.verts == []

    def getVerts(self):
        return self.verts

    def getEdges(self):
        return self.edges

    def getFaces(self):
        return self.faces

    def getVertexPt(self, _vertex):
        return _vertex

    def getEdgePts(self, _edge):
        return _edge

    def getFacePts(self, _face):
        return _face
